[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#435062: linux-image-2.6.22-1-k7: nforce2 firewire unsupported in new stack, please enable old fw stack

[ dropping release cc ]

On Thu, Apr 03, 2008 at 07:35:38AM +0200, Frans Pop wrote:
> A post on lkml today [1] by one of the people working on it makes clear that 
> the new firewire stack will not get into shape in time for lenny.

the third fedora release happens with juju firewire stack only.
drivers/firewire sees a steady progress. 2.6.26 will have nice
logging options for the juju modules.
> At the same time, there is quite a big demand from users for the old stack 
> because there hardware is not supported by the new one. Some of the 
> relevant BRs are: 436267, 449272, 450836, 441206, 441179, 435224, 435062, 
> 434551.

humm let's sort those bug reports:
- fixed 441179 441206
- moreinfo 435224
  (no follow up most probably fixed as really old version of the stack
- userspace 434551 436267
- missing driver 450836
- missing hardware support 435062
- crash of old stack 449272

please next time be more carefull compiling such lists,
at scrutiny survives 4 bugs.
> Could the kernel team please reconsider making the enabling the old stack 
> again and use that as the default stack. The new stack could remain 
> available, but blacklisted for modprobe.

relevant bugs of the old stack are (see bugzilla.kernel.org):
6070 6393 7569 7771 7774 7794 8174 8361 8403 9616

i wouldn't consider this list minor.
considering the slowness of the firewire userspace for example kino or
raw1394 our user should have the avaibility of the old stack.
so blacklisting ieee1394 sounds like a way to move on.
> Cheers,
> [1] http://lkml.org/lkml/2008/4/2/564

best regards

Reply to: